Bug 134230 - WKWebView doesn't respect -[UIScrollView contentInset]
Summary: WKWebView doesn't respect -[UIScrollView contentInset]
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Anders Carlsson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-23 18:24 PDT by Anders Carlsson
Modified: 2018-10-12 14:27 PDT (History)
9 users (show)

See Also:


Attachments
Patch (13.15 KB, patch)
2014-06-23 18:30 PDT, Anders Carlsson
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Anders Carlsson 2014-06-23 18:24:49 PDT
WKWebView doesn't respect -[UIScrollView contentInset]
Comment 1 Anders Carlsson 2014-06-23 18:30:53 PDT
Created attachment 233663 [details]
Patch
Comment 2 WebKit Commit Bot 2014-06-24 07:38:44 PDT
Comment on attachment 233663 [details]
Patch

Clearing flags on attachment: 233663

Committed r170361: <http://trac.webkit.org/changeset/170361>
Comment 3 WebKit Commit Bot 2014-06-24 07:38:46 PDT
All reviewed patches have been landed.  Closing bug.
Comment 4 Benjamin Poulain 2014-06-28 22:27:31 PDT
Not supporting content insets was completely intentional.

In UIWebView, we have a lot of issues with the interactions between the content insets and the minimal layout size. There are basically two very different use cases that needs different kind of layout.

One good example is that Safari cannot work correctly with this implementation.

After discussing this a lot, we decided not to support scrolling to the insets and postpone this to a solution that handle layout correctly.
Comment 5 Oren Rosenblum 2015-01-04 01:55:11 PST
Hi

I published question about WKWebView not clickable above it's contentInset:

http://stackoverflow.com/questions/27755251/wkwebview-isnt-clickable-outside-its-contentinset

Is this the same issue?
Comment 6 Christophe Fondacci 2017-08-21 11:19:11 PDT
"Not supporting content insets was completely intentional."

The current behavior is very surprising though: negative insets work as expected, and positive insets make the floating element move up and down between 0 inset and the specified value. 

Please see a demo here:
https://drive.google.com/file/d/0B63_g2Mv5n4uYkNxWjJWeGR1U1E/view?usp=sharing


"we decided not to support scrolling to the insets and postpone this to a solution that handle layout correctly"

But it still does something... but not the right thing. It's not that it is not supported, it is that it feels broken. Can you tell us more about "the solution that handle layout correctly" and when this will be available?

We are working on a workaround which resizes the webview but it makes footer transparency and overlaying header/footer broken so it is not really satisfying.

I don't understand why this bug is marked as "resolved fixed" as it seems neither resolved nor fixed.
Comment 7 Simon Fraser (smfr) 2018-10-12 14:27:06 PDT
Tim, what's the current status?